package game.net;

import game.Student;
import game.Side;

class Team
{
    public Team()
    {
        mHasHandshaked = false;
        mHasPickedSide = false;
        mHasSeenEnd    = false;
        mHasSeenGoal   = false;
        mHasSeenQuit   = false;
        mHasSeenReset  = false;
        mScore         = 0;
    }

    public boolean getHasHandshaked()
    {
        return mHasHandshaked;
    }

    public boolean getHasPickedSide()
    {
        return mHasPickedSide;
    }

    public boolean getHasSeenEnd()
    {
        return mHasSeenEnd;
    }

    public boolean getHasSeenGoal()
    {
        return mHasSeenGoal;
    }

    public boolean getSeenQuit()
    {
        return mHasSeenQuit;
    }

    public boolean getHasSeenReset()
    {
        return mHasSeenReset;
    }

    public int getScore()
    {
        return mScore;
    }

    public Side getSide()
    {
        return mSide;
    }

    public Student getStudent()
    {
        return mStudent;
    }

    public void setHasHandshaked(boolean has)
    {
        mHasHandshaked = has;
    }

    public void setHasPickedSide(boolean has)
    {
        mHasPickedSide = has;
    }

    public void setHasSeenEnd(boolean has)
    {
        mHasSeenEnd = has;
    }

    public void setHasSeenGoal(boolean has)
    {
        mHasSeenGoal = has;
    }

    public void setHasSeenQuit(boolean has)
    {
        mHasSeenQuit = has;
    }

    public void setHasSeenReset(boolean has)
    {
        mHasSeenReset = has;
    }

    public void setScore(int score)
    {
        mScore = score;
    }

    public void setSide(Side side)
    {
        mSide = side;
    }

    public void setStudent(Student stu)
    {
        mStudent = stu;
    }

    private boolean mHasHandshaked;
    private boolean mHasPickedSide;
    private boolean mHasSeenEnd;
    private boolean mHasSeenGoal;
    private boolean mHasSeenQuit;
    private boolean mHasSeenReset;
    private int     mScore;
    private Side    mSide;
    private Student mStudent;
}
