/**
 * ControlRequest.java
 * @author pouria
 * Created: March 4, 2006
 */
package game.protocol;

import game.Side;
import simulator.model.ISimulatorNet;

public abstract class ControlRequest extends Request
{
    public ControlRequest()
    {
    }

    /** Dispatch request to the simulator
     * @param sim simulator model
     */
    public abstract void dispatch(ISimulatorNet sim);

    public Side getSide()
    {
        return mSide;
    }

    public int getTime()
    {
        return mTime;
    }

    public void setSide(Side side)
    {
        mSide = side;
    }

    protected Side mSide;
    protected int  mTime;
}
