/**
 * QuitRequest.java
 * @author pouria
 * Created: March 4, 2006
 */
package game.protocol;

import simulator.model.ISimulatorNet;

public class QuitRequest extends Request
{
    public QuitRequest(String req) throws ParseException
    {
        if (!req.equals("quit\n"))
        {
            throw new ParseException("Invalid request: " + req);
        }

        mType = Request.RequestType.QUIT;
    }

    public QuitRequest()
    {
        mType = Request.RequestType.QUIT;
    }

    public String toString()
    {
        return "quit\n";
    }
}
