/**
 * PolarVect.java
 * @author pouria
 */
package simulator.model;

/**
 * <p>Interface of a structure encapsulating polar coordinate vector</p>
 *
 * @version 1.0
 */
public interface PolarVect
{
    /**
     * @return angle in degrees between 0 and 360
     */
    public double getAngle();

    /**
     * @return magnitude
     */
    public double getMagnitude();
}
