/**
 * AllRequest.java
 * @author pouria
 * Created: March 4, 2006
 */
package game.protocol;

import simulator.model.ISimulatorNet;

public class AllRequest extends Request
{
    public AllRequest(String req) throws ParseException
    {
        if (!req.equals("all?\n"))
        {
            throw new ParseException("Invalid request: " + req);
        }

        mType = Request.RequestType.ALL;
    }

    public AllRequest()
    {
        mType = Request.RequestType.ALL;
    }

    public String toString()
    {
        return "all?\n";
    }

}
