/**
 * SOCCER2008Reply.java
 * @author pouria
 * Created: March 4, 2006
 */
package game.protocol;

public class SOCCER2008Reply extends Reply
{
    public SOCCER2008Reply()
    {
    	mType = ReplyType.SOCCER2008;
    }

    public SOCCER2008Reply(String msg) throws ParseException {
    	log.finer("Parsing \"" + msg + "\"");
		if (msg.startsWith("SOCCER2008\n")) {
			mType = ReplyType.SOCCER2008;
		} else {
			ParseException e = new ParseException("Expected \"SOCCER2008\\n\"", msg, 0);
			log.throwing("SOCCER2008Reply", "SOCCER2008Repl(String)", e);
			throw e;
		}

    }

    public String toString() {
    	return "SOCCER2008\n";
    }
}
