/**
 * ITeamObserver.java
 * @author dennis
 * Created: Feb 22, 2006
 */
package team;

/**
 * Observer interface for Team. The only change of interest is a status change.
 */
public interface ITeamObserver {

	/**
	 * Inform the observer that the status of the team has changed.
	 */
	public void statusChange();
}
